CREATE TABLE `windows_redeem` (
  `id` int NOT NULL AUTO_INCREMENT,
  `loan_no` varchar(64) NOT NULL COMMENT '借款单号',
  `plan_no` varchar(32) DEFAULT NULL COMMENT '计划编号',
  `redeem_type` varchar(10) DEFAULT NULL COMMENT '还款说明：\n1-逾期（逾期≥30天），代偿单期本金95%\n9 - 单期补偿（代偿后第60天后，含60天），补偿单期剩余5%本金\n99-人工推送，代偿整笔；',
  `plan_index` varchar(3) DEFAULT NULL COMMENT '还款期次',
  `raise_time` varchar(50) DEFAULT NULL COMMENT '格式为yyddmm',
  `backed_time` varchar(50) DEFAULT NULL COMMENT '格式为yyddmm',
  `hold_day` varchar(50) DEFAULT NULL COMMENT '借款持有天数',
  `redeem_ben` varchar(50) DEFAULT NULL COMMENT '应代偿本金保留两位有效数字(单位:元)',
  `redeem_xi` varchar(50) DEFAULT NULL COMMENT '应代偿利息',
  `redeem_fa` varchar(50) DEFAULT NULL COMMENT '应代偿罚息',
  `redeem_amount` varchar(50) DEFAULT NULL COMMENT '应代偿合计',
  `memo` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `loan_no_index` (`loan_no`),
  KEY `plan_no_index` (`plan_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='代偿数据';



CREATE TABLE `windows_burden` (
  `id` int NOT NULL AUTO_INCREMENT,
  `loan_no` varchar(64) NOT NULL COMMENT '借款单号',
  `plan_no` varchar(32) DEFAULT NULL COMMENT '计划编号',
  `plan_index` varchar(3) DEFAULT NULL COMMENT '还款期次',
  `repay_date` varchar(50) DEFAULT NULL COMMENT '还款日期',
  `repay_type` varchar(50) DEFAULT NULL COMMENT '01按期正常还款,02按期提前还款,03一次性提前结清,04逾期整期还款,05逾期部分还款(最后一部分传04)',
  `pepay_burden` varchar(50) DEFAULT NULL COMMENT '融担金额',
  `memo` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `loan_no_index` (`loan_no`),
  KEY `plan_no_index` (`plan_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='融担文件还款数据';
